package domain

type AlibabaWdkMarketingItempoolAdditemCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步渠道配置     */
	ChannelConfigList *[]AlibabaWdkMarketingItempoolAdditemChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolAdditemCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingItempoolAdditemCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolAdditemCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingItempoolAdditemCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolAdditemCommonActivityParam) SetByChannel(v bool) *AlibabaWdkMarketingItempoolAdditemCommonActivityParam {
	s.ByChannel = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolAdditemCommonActivityParam) SetChannelConfigList(v []AlibabaWdkMarketingItempoolAdditemChannelConfig) *AlibabaWdkMarketingItempoolAdditemCommonActivityParam {
	s.ChannelConfigList = &v
	return s
}
